<template>
  <div>
    <h3 class="text-center mt-3">
      จากบททดสอบที่ 1 ข้อที่ 2
      Array of X : {{ x }}
    </h3>
    <div class="pa-5 text-center">
      <v-btn class="mx-2" @click="findMax">
        หาค่ามากที่สุด
      </v-btn>
      <v-btn class="mx-2" @click="findMin">
        หาค่าน้อยที่สุด
      </v-btn>
      <v-btn class="mx-2" @click="findEvenMax">
        หาค่าจำนวนคู่มากที่สุด
      </v-btn>
      <v-btn class="mx-2" @click="findOddMin">
        หาค่าจำนวนคี่น้อยที่สุด
      </v-btn>
      <v-btn class="mx-2" @click="sort">
        เรียงลำดับ
      </v-btn>
    </div>
    <h3 class="text-center mt-3">
      X result : {{ result }}
    </h3>
  </div>
</template>

<script>

export default {
  data () {
    return {
      x: [9, 24, 60, 1, 58, 195, 73],
      result: []
    }
  },
  methods: {
    findMax () {
      const findMax = Math.max(...this.x)
      this.result = findMax
    },
    findMin () {
      const findMix = Math.min(...this.x)
      this.result = findMix
    },
    findEvenMax () {
      const evenArray = this.x.filter(x => x % 2 === 0)
      const findEvenMax = Math.max(...evenArray)
      console.log(evenArray)
      this.result = findEvenMax
    },
    findOddMin () {
      const oddArray = this.x.filter(x => x % 2 !== 0)
      const findOddMin = Math.min(...oddArray)
      this.result = findOddMin
    },
    sort () {
      const sortArray = [...this.x]
      sortArray.sort((a, b) => a - b)
      this.result = sortArray
    }
  }
}
</script>

<style>
</style>
